DOM::HTMLTextAreaElement Class Reference

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLTextAreaElement:

## Public Member Functions

| HTMLTextAreaElement (const HTMLTextAreaElement &other)
| HTMLTextAreaElement (const Node &other)
HTMLTextAreaElement & | operator= (const HTMLTextAreaElement &other)
HTMLTextAreaElement & | operator= (const Node &other)
DOMString | defaultValue () const
void | setDefaultValue (const DOMString &)
HTMLFormElement | form () const
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
long | cols () const
void | setCols (long)
bool | disabled () const
void | setDisabled (bool)
DOMString | name () const
void | setName (const DOMString &)
bool | readOnly () const
void | setReadOnly (bool)
long | rows () const
void | setRows (long)
long | tabIndex () const
void | setTabIndex (long)
DOMString | type () const
DOMString | value () const
void | setValue (const DOMString &)
void | blur ()
void | focus ()
void | select ()
long | selectionStart ()
void | setSelectionStart (long offset)
long | selectionEnd ()
void | setSelectionEnd (long offset)
void | setSelectionRange (long start, long end)
long | textLength ()
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLTextAreaElement (HTMLTextAreaElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Multi-line text field.

See the TEXTAREA element definition in HTML 4.0.

Definition at line 1054 of file html_form.h.

## Member Function Documentation

DOMString HTMLTextAreaElement::accessKey | ( |  | ) | const

A single character access key to give access to the form control.

See the accesskey attribute definition in HTML 4.0.

Definition at line 991 of file html_form.cpp.

void HTMLTextAreaElement::blur | ( |  | ) |

Removes keyboard focus from this element.

Definition at line 1094 of file html_form.cpp.

long HTMLTextAreaElement::cols | ( |  | ) | const

Width of control (in characters).

See the cols attribute definition in HTML 4.0.

Definition at line 1002 of file html_form.cpp.

DOMString HTMLTextAreaElement::defaultValue | ( |  | ) | const

Stores the initial control value (i.e., the initial value of `value` ).

Definition at line 975 of file html_form.cpp.

bool HTMLTextAreaElement::disabled | ( |  | ) | const

The control is unavailable in this context.

See the disabled attribute definition in HTML 4.0.

Definition at line 1017 of file html_form.cpp.

void HTMLTextAreaElement::focus | ( |  | ) |

Gives keyboard focus to this element.

Definition at line 1100 of file html_form.cpp.

HTMLFormElement HTMLTextAreaElement::form | ( |  | ) | const

### KDE 4.0: remove.

Definition at line 986 of file html_form.cpp.

DOMString HTMLTextAreaElement::name | ( |  | ) | const

Form control or object name when submitted with a form.

See the name attribute definition in HTML 4.0.

Definition at line 1028 of file html_form.cpp.

bool HTMLTextAreaElement::readOnly | ( |  | ) | const

This control is read-only.

See the readonly attribute definition in HTML 4.0.

Definition at line 1039 of file html_form.cpp.

long HTMLTextAreaElement::rows | ( |  | ) | const

Number of text rows.

See the rows attribute definition in HTML 4.0.

Definition at line 1050 of file html_form.cpp.

void HTMLTextAreaElement::select | ( |  | ) |

Select the contents of the `TEXTAREA` .

Definition at line 1106 of file html_form.cpp.

long HTMLTextAreaElement::selectionEnd | ( |  | ) |

Returns the character offset of end of selection, or if none, the cursor position.

NOTE: this method is not part of the DOM, but a Mozilla extension

Since
  3.5.2

Definition at line 1119 of file html_form.cpp.

long HTMLTextAreaElement::selectionStart | ( |  | ) |

Returns the character offset of beginning of selection, or if none, the cursor position.

NOTE: this method is not part of the DOM, but a Mozilla extension

Since
  3.5.2

Definition at line 1112 of file html_form.cpp.

void HTMLTextAreaElement::setAccessKey | ( | const DOMString & | value | ) |

see accessKey

Definition at line 997 of file html_form.cpp.

void HTMLTextAreaElement::setCols | ( | long | _cols | ) |

see cols

Definition at line 1008 of file html_form.cpp.

void HTMLTextAreaElement::setDefaultValue | ( | const DOMString & | value | ) |

see defaultValue

Definition at line 981 of file html_form.cpp.

void HTMLTextAreaElement::setDisabled | ( | bool | _disabled | ) |

see disabled

Definition at line 1023 of file html_form.cpp.

void HTMLTextAreaElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 1034 of file html_form.cpp.

void HTMLTextAreaElement::setReadOnly | ( | bool | _readOnly | ) |

see readOnly

Definition at line 1045 of file html_form.cpp.

void HTMLTextAreaElement::setRows | ( | long | _rows | ) |

see rows

Definition at line 1056 of file html_form.cpp.

void HTMLTextAreaElement::setSelectionEnd | ( | long | offset | ) |

Move the end of the selection (and the cursor) to the given offset in text NOTE: this method is not part of the DOM, but a Mozilla extension.

Since
  3.5.2

Definition at line 1139 of file html_form.cpp.

void HTMLTextAreaElement::setSelectionRange | ( | long | start,
|  | long | end
| ) |  |

Selects the text from start to end, and positions the cursor after the selection.

NOTE: this method is not part of the DOM, but a Mozilla extension

Since
  3.5.2

Definition at line 1145 of file html_form.cpp.

void HTMLTextAreaElement::setSelectionStart | ( | long | offset | ) |

Move the beginning of the selection to the given offset in text NOTE: this method is not part of the DOM, but a Mozilla extension.

Since
  3.5.2

Definition at line 1133 of file html_form.cpp.

void HTMLTextAreaElement::setTabIndex | ( | long | _tabIndex | ) |

see tabIndex

Definition at line 1071 of file html_form.cpp.

void HTMLTextAreaElement::setValue | ( | const DOMString & | value | ) |

see value

Definition at line 1089 of file html_form.cpp.

long HTMLTextAreaElement::tabIndex | ( |  | ) | const

Index that represents the element's position in the tabbing order.

See the tabindex attribute definition in HTML 4.0.

Definition at line 1065 of file html_form.cpp.

long HTMLTextAreaElement::textLength | ( |  | ) |

Returns the length of the text.

NOTE: this method is not part of the DOM, but a Mozilla extension

Since
  3.5.2

Definition at line 1126 of file html_form.cpp.

DOMString HTMLTextAreaElement::type | ( |  | ) | const

The type of this form control.

Definition at line 1077 of file html_form.cpp.

DOMString HTMLTextAreaElement::value | ( |  | ) | const

The current textual content of the multi-line text field.

If the entirety of the data can not fit into a single wstring, the implementation may truncate the data.

Definition at line 1083 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys